<?php

namespace Schaffen\Gef\Repositories;

use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use Schaffen\Gef\Presenters\VeiculoPresenter;
use Schaffen\Gef\Repositories\VeiculoRepository;
use Schaffen\Gef\Models\Veiculo;
use Schaffen\Gef\Validators\VeiculoValidator;

/**
 * Class VeiculoRepositoryEloquent.
 *
 * @package namespace Schaffen\Gef\Repositories;
 */
class VeiculoRepositoryEloquent extends BaseRepository implements VeiculoRepository
{

   protected $fieldSearchable = [

      'vei_placa' => 'like',
      'vei_identificador' => 'like',
      'vei_ano',

   ];
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Veiculo::class;
    }

   public function presenter()
   {
      return VeiculoPresenter::class;
   }

    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
    }
    
}
